patches for DPDK stable branches
 help / color / mirror / Atom feed
* [dpdk-stable] " app/testpmd: fix NVGRE encap configuration" incompatible with 19.11.x
@ 2021-06-02 13:25 Christian Ehrhardt
  2021-06-03 14:54 ` Jiawei(Jonny) Wang
  0 siblings, 1 reply; 6+ messages in thread
From: Christian Ehrhardt @ 2021-06-02 13:25 UTC (permalink / raw)
  To: Jiawei Wang; +Cc: dpdk stable, Ori Kam

Hi,
this change was targeted for the stable releases

commit 9b0da816bdec98c0d6c5d17ccdd337bdbafc3f75
Author: Jiawei Wang <jiaweiw@nvidia.com>
Date:   Tue Mar 16 06:18:27 2021 +0200

    app/testpmd: fix NVGRE encap configuration

But when applied it causes:

[  263s] /home/abuild/rpmbuild/BUILD/dpdk-1622611368.078834f40/app/test-pmd/cmdline_flow.c:
In function 'parse_vc_action_nvgre_encap':
[  263s] /home/abuild/rpmbuild/BUILD/dpdk-1622611368.078834f40/app/test-pmd/cmdline_flow.c:4254:3:
error: missing initializer for field 'protocol' of 'struct
rte_flow_item_nvgre' [-Werror=missing-field-initializers]
[  263s]    .item_nvgre.protocol = RTE_BE16(RTE_ETHER_TYPE_TEB),
[  263s]    ^
[  263s] In file included from
/home/abuild/rpmbuild/BUILD/dpdk-1622611368.078834f40/x86_64-default-linux-gcc/include/rte_eth_ctrl.h:11:0,
[  263s]                  from
/home/abuild/rpmbuild/BUILD/dpdk-1622611368.078834f40/x86_64-default-linux-gcc/include/rte_ethdev.h:978,
[  263s]                  from
/home/abuild/rpmbuild/BUILD/dpdk-1622611368.078834f40/app/test-pmd/cmdline_flow.c:18:
[  263s] /home/abuild/rpmbuild/BUILD/dpdk-1622611368.078834f40/x86_64-default-linux-gcc/include/rte_flow.h:917:13:
note: 'protocol' declared here
[  263s]   rte_be16_t protocol; /**< Protocol type (0x6558). */
[  263s]              ^

This is failing not everywhere but in:
- SLE_12_SP4/x86_64
- RHEL_7/x86_64
- openSUSE_Leap_42.3/x86_64

The type and the init code looks the same here and in the recent main branch.
Neither do I see recent changes that would cause this.
And the init just looks right to me, so I'm sure I'm overlooking something.

So I wondered (if you consider this patch important for 19.11.x) if
you could have
a look and consider backporting it so that it works well (or as an alternative
let me know that it won't be needed for 19.11.x)

References/Logs:
19.11.8 working: https://paste.ubuntu.com/p/vvm4qCcmJT/
19.11.9 fail RH7: https://paste.ubuntu.com/p/2wph5nfbCg/
19.11.9 fail SLE12SP4: https://paste.ubuntu.com/p/nGHhkPJbR3/
19.11.9 fail openSuse42.3: https://paste.ubuntu.com/p/43mMx3sY2n/
19.11.9 witzh the patch dropped works: https://paste.ubuntu.com/p/JGZ44BhkC6/


-- 
Christian Ehrhardt
Staff Engineer, Ubuntu Server
Canonical Ltd

^ permalink raw reply	[flat|nested] 6+ messages in thread

* Re: [dpdk-stable] " app/testpmd: fix NVGRE encap configuration" incompatible with 19.11.x
  2021-06-02 13:25 [dpdk-stable] " app/testpmd: fix NVGRE encap configuration" incompatible with 19.11.x Christian Ehrhardt
@ 2021-06-03 14:54 ` Jiawei(Jonny) Wang
  2021-06-04  5:07   ` Christian Ehrhardt
  0 siblings, 1 reply; 6+ messages in thread
From: Jiawei(Jonny) Wang @ 2021-06-03 14:54 UTC (permalink / raw)
  To: Christian Ehrhardt; +Cc: dpdk stable, Ori Kam

Hello Christian,

I applied this patch on the 19.11.9-rc1, but not found this issue during compilation.

Could you send me your code branch then I can try on my side?

Code base:
commit 15d8f64d18a891a70d664d18eb918eee0705993e
Author: Christian Ehrhardt <christian.ehrhardt@canonical.com>
Date:   Wed Jun 2 16:33:26 2021 +0200

    version: 19.11.9-rc1

    Signed-off-by: Christian Ehrhardt <christian.ehrhardt@canonical.com>


#make O=x86_64-default-linux-gcc T=x86_64-native-linux-gcc config
#sed -ri 's,(RTE_MACHINE=).*,\1default,' x86_64-default-linux-gcc/.config
#sed -ri 's,(RTE_APP_TEST=).*,\1n,' x86_64-default-linux-gcc/.config
#sed -ri 's,(RTE_BUILD_SHARED_LIB=).*,\1y,' x86_64-default-linux-gcc/.config
#sed -ri 's,(RTE_NEXT_ABI=).*,\1n,' x86_64-default-linux-gcc/.config
#sed -ri 's,(LIBRTE_VHOST=).*,\1y,' x86_64-default-linux-gcc/.config
#sed -ri 's,(LIBRTE_VHOST=).*,\1y,' x86_64-default-linux-gcc/.config
#sed -ri 's,(RTE_KNI_KMOD=).*,\1y,' x86_64-default-linux-gcc/.config
#sed -ri 's,(RTE_EAL_IGB_UIO=).*,\1y,' x86_64-default-linux-gcc/.config
#
#make O=x86_64-default-linux-gcc -j3 EXTRA_CFLAGS=-Werror

......

  INSTALL-APP dpdk-test-crypto-perf
  INSTALL-MAP dpdk-test-crypto-perf.map
  CC test_perf_queue.o
  CC test_perf_atq.o
  CC test_pipeline_common.o
  CC test_pipeline_queue.o
  CC test_pipeline_atq.o
  LD dpdk-test-eventdev
  INSTALL-APP dpdk-test-eventdev
  INSTALL-MAP dpdk-test-eventdev.map
Build complete [x86_64-default-linuxapp-gcc]

Thanks.
B.R.

Jonny


> -----Original Message-----
> From: Christian Ehrhardt <christian.ehrhardt@canonical.com>
> Sent: Wednesday, June 2, 2021 9:25 PM
> To: Jiawei(Jonny) Wang <jiaweiw@nvidia.com>
> Cc: dpdk stable <stable@dpdk.org>; Ori Kam <orika@nvidia.com>
> Subject: " app/testpmd: fix NVGRE encap configuration" incompatible with
> 19.11.x
> 
> Hi,
> this change was targeted for the stable releases
> 
> commit 9b0da816bdec98c0d6c5d17ccdd337bdbafc3f75
> Author: Jiawei Wang <jiaweiw@nvidia.com>
> Date:   Tue Mar 16 06:18:27 2021 +0200
> 
>     app/testpmd: fix NVGRE encap configuration
> 
> But when applied it causes:
> 
> [  263s] /home/abuild/rpmbuild/BUILD/dpdk-
> 1622611368.078834f40/app/test-pmd/cmdline_flow.c:
> In function 'parse_vc_action_nvgre_encap':
> [  263s] /home/abuild/rpmbuild/BUILD/dpdk-
> 1622611368.078834f40/app/test-pmd/cmdline_flow.c:4254:3:
> error: missing initializer for field 'protocol' of 'struct rte_flow_item_nvgre' [-
> Werror=missing-field-initializers]
> [  263s]    .item_nvgre.protocol = RTE_BE16(RTE_ETHER_TYPE_TEB),
> [  263s]    ^
> [  263s] In file included from
> /home/abuild/rpmbuild/BUILD/dpdk-1622611368.078834f40/x86_64-
> default-linux-gcc/include/rte_eth_ctrl.h:11:0,
> [  263s]                  from
> /home/abuild/rpmbuild/BUILD/dpdk-1622611368.078834f40/x86_64-
> default-linux-gcc/include/rte_ethdev.h:978,
> [  263s]                  from
> /home/abuild/rpmbuild/BUILD/dpdk-1622611368.078834f40/app/test-
> pmd/cmdline_flow.c:18:
> [  263s] /home/abuild/rpmbuild/BUILD/dpdk-
> 1622611368.078834f40/x86_64-default-linux-gcc/include/rte_flow.h:917:13:
> note: 'protocol' declared here
> [  263s]   rte_be16_t protocol; /**< Protocol type (0x6558). */
> [  263s]              ^
> 
> This is failing not everywhere but in:
> - SLE_12_SP4/x86_64
> - RHEL_7/x86_64
> - openSUSE_Leap_42.3/x86_64
> 
> The type and the init code looks the same here and in the recent main branch.
> Neither do I see recent changes that would cause this.
> And the init just looks right to me, so I'm sure I'm overlooking something.
> 
> So I wondered (if you consider this patch important for 19.11.x) if you could
> have a look and consider backporting it so that it works well (or as an
> alternative let me know that it won't be needed for 19.11.x)
> 
> References/Logs:
> 19.11.8 working: https://paste.ubuntu.com/p/vvm4qCcmJT/
> 19.11.9 fail RH7: https://paste.ubuntu.com/p/2wph5nfbCg/
> 19.11.9 fail SLE12SP4: https://paste.ubuntu.com/p/nGHhkPJbR3/
> 19.11.9 fail openSuse42.3: https://paste.ubuntu.com/p/43mMx3sY2n/
> 19.11.9 witzh the patch dropped works:
> https://paste.ubuntu.com/p/JGZ44BhkC6/
> 
> 
> --
> Christian Ehrhardt
> Staff Engineer, Ubuntu Server
> Canonical Ltd

^ permalink raw reply	[flat|nested] 6+ messages in thread

* Re: [dpdk-stable] " app/testpmd: fix NVGRE encap configuration" incompatible with 19.11.x
  2021-06-03 14:54 ` Jiawei(Jonny) Wang
@ 2021-06-04  5:07   ` Christian Ehrhardt
  2021-06-04 13:44     ` Jiawei(Jonny) Wang
  0 siblings, 1 reply; 6+ messages in thread
From: Christian Ehrhardt @ 2021-06-04  5:07 UTC (permalink / raw)
  To: Jiawei(Jonny) Wang; +Cc: dpdk stable, Ori Kam

On Thu, Jun 3, 2021 at 4:54 PM Jiawei(Jonny) Wang <jiaweiw@nvidia.com> wrote:
>
> Hello Christian,
>
> I applied this patch on the 19.11.9-rc1, but not found this issue during compilation.
>
> Could you send me your code branch then I can try on my side?

Hi,
For me it fails when applied on top of the 19.11.x WIP branch.
You can use that from
https://github.com/cpaelzer/dpdk-stable-queue/commits/19.11

But as I said it only fails in some releases/configurations.
That is why I have linked the failing error logs.
For example on my Ubuntu 20.04 it builds just fine.

> Code base:
> commit 15d8f64d18a891a70d664d18eb918eee0705993e
> Author: Christian Ehrhardt <christian.ehrhardt@canonical.com>
> Date:   Wed Jun 2 16:33:26 2021 +0200
>
>     version: 19.11.9-rc1
>
>     Signed-off-by: Christian Ehrhardt <christian.ehrhardt@canonical.com>
>
>
> #make O=x86_64-default-linux-gcc T=x86_64-native-linux-gcc config
> #sed -ri 's,(RTE_MACHINE=).*,\1default,' x86_64-default-linux-gcc/.config
> #sed -ri 's,(RTE_APP_TEST=).*,\1n,' x86_64-default-linux-gcc/.config
> #sed -ri 's,(RTE_BUILD_SHARED_LIB=).*,\1y,' x86_64-default-linux-gcc/.config
> #sed -ri 's,(RTE_NEXT_ABI=).*,\1n,' x86_64-default-linux-gcc/.config
> #sed -ri 's,(LIBRTE_VHOST=).*,\1y,' x86_64-default-linux-gcc/.config
> #sed -ri 's,(LIBRTE_VHOST=).*,\1y,' x86_64-default-linux-gcc/.config
> #sed -ri 's,(RTE_KNI_KMOD=).*,\1y,' x86_64-default-linux-gcc/.config
> #sed -ri 's,(RTE_EAL_IGB_UIO=).*,\1y,' x86_64-default-linux-gcc/.config
> #
> #make O=x86_64-default-linux-gcc -j3 EXTRA_CFLAGS=-Werror

Yeah as I said it seems to only affect some releases/configs - I hope
the logs help to find what is different between good/bad cases.

> ......
>
>   INSTALL-APP dpdk-test-crypto-perf
>   INSTALL-MAP dpdk-test-crypto-perf.map
>   CC test_perf_queue.o
>   CC test_perf_atq.o
>   CC test_pipeline_common.o
>   CC test_pipeline_queue.o
>   CC test_pipeline_atq.o
>   LD dpdk-test-eventdev
>   INSTALL-APP dpdk-test-eventdev
>   INSTALL-MAP dpdk-test-eventdev.map
> Build complete [x86_64-default-linuxapp-gcc]
>
> Thanks.
> B.R.
>
> Jonny
>
>
> > -----Original Message-----
> > From: Christian Ehrhardt <christian.ehrhardt@canonical.com>
> > Sent: Wednesday, June 2, 2021 9:25 PM
> > To: Jiawei(Jonny) Wang <jiaweiw@nvidia.com>
> > Cc: dpdk stable <stable@dpdk.org>; Ori Kam <orika@nvidia.com>
> > Subject: " app/testpmd: fix NVGRE encap configuration" incompatible with
> > 19.11.x
> >
> > Hi,
> > this change was targeted for the stable releases
> >
> > commit 9b0da816bdec98c0d6c5d17ccdd337bdbafc3f75
> > Author: Jiawei Wang <jiaweiw@nvidia.com>
> > Date:   Tue Mar 16 06:18:27 2021 +0200
> >
> >     app/testpmd: fix NVGRE encap configuration
> >
> > But when applied it causes:
> >
> > [  263s] /home/abuild/rpmbuild/BUILD/dpdk-
> > 1622611368.078834f40/app/test-pmd/cmdline_flow.c:
> > In function 'parse_vc_action_nvgre_encap':
> > [  263s] /home/abuild/rpmbuild/BUILD/dpdk-
> > 1622611368.078834f40/app/test-pmd/cmdline_flow.c:4254:3:
> > error: missing initializer for field 'protocol' of 'struct rte_flow_item_nvgre' [-
> > Werror=missing-field-initializers]
> > [  263s]    .item_nvgre.protocol = RTE_BE16(RTE_ETHER_TYPE_TEB),
> > [  263s]    ^
> > [  263s] In file included from
> > /home/abuild/rpmbuild/BUILD/dpdk-1622611368.078834f40/x86_64-
> > default-linux-gcc/include/rte_eth_ctrl.h:11:0,
> > [  263s]                  from
> > /home/abuild/rpmbuild/BUILD/dpdk-1622611368.078834f40/x86_64-
> > default-linux-gcc/include/rte_ethdev.h:978,
> > [  263s]                  from
> > /home/abuild/rpmbuild/BUILD/dpdk-1622611368.078834f40/app/test-
> > pmd/cmdline_flow.c:18:
> > [  263s] /home/abuild/rpmbuild/BUILD/dpdk-
> > 1622611368.078834f40/x86_64-default-linux-gcc/include/rte_flow.h:917:13:
> > note: 'protocol' declared here
> > [  263s]   rte_be16_t protocol; /**< Protocol type (0x6558). */
> > [  263s]              ^
> >
> > This is failing not everywhere but in:
> > - SLE_12_SP4/x86_64
> > - RHEL_7/x86_64
> > - openSUSE_Leap_42.3/x86_64
> >
> > The type and the init code looks the same here and in the recent main branch.
> > Neither do I see recent changes that would cause this.
> > And the init just looks right to me, so I'm sure I'm overlooking something.
> >
> > So I wondered (if you consider this patch important for 19.11.x) if you could
> > have a look and consider backporting it so that it works well (or as an
> > alternative let me know that it won't be needed for 19.11.x)
> >
> > References/Logs:
> > 19.11.8 working: https://paste.ubuntu.com/p/vvm4qCcmJT/
> > 19.11.9 fail RH7: https://paste.ubuntu.com/p/2wph5nfbCg/
> > 19.11.9 fail SLE12SP4: https://paste.ubuntu.com/p/nGHhkPJbR3/
> > 19.11.9 fail openSuse42.3: https://paste.ubuntu.com/p/43mMx3sY2n/
> > 19.11.9 witzh the patch dropped works:
> > https://paste.ubuntu.com/p/JGZ44BhkC6/
> >
> >
> > --
> > Christian Ehrhardt
> > Staff Engineer, Ubuntu Server
> > Canonical Ltd



-- 
Christian Ehrhardt
Staff Engineer, Ubuntu Server
Canonical Ltd

^ permalink raw reply	[flat|nested] 6+ messages in thread

* Re: [dpdk-stable] " app/testpmd: fix NVGRE encap configuration" incompatible with 19.11.x
  2021-06-04  5:07   ` Christian Ehrhardt
@ 2021-06-04 13:44     ` Jiawei(Jonny) Wang
  2021-06-08  4:50       ` Christian Ehrhardt
  0 siblings, 1 reply; 6+ messages in thread
From: Jiawei(Jonny) Wang @ 2021-06-04 13:44 UTC (permalink / raw)
  To: Christian Ehrhardt; +Cc: dpdk stable, Ori Kam

Hello Christian,

> -----Original Message-----
> From: Christian Ehrhardt <christian.ehrhardt@canonical.com>
> Sent: Friday, June 4, 2021 1:07 PM
> To: Jiawei(Jonny) Wang <jiaweiw@nvidia.com>
> Cc: dpdk stable <stable@dpdk.org>; Ori Kam <orika@nvidia.com>
> Subject: Re: " app/testpmd: fix NVGRE encap configuration" incompatible
> with 19.11.x
> 
> On Thu, Jun 3, 2021 at 4:54 PM Jiawei(Jonny) Wang <jiaweiw@nvidia.com>
> wrote:
> >
> > Hello Christian,
> >
> > I applied this patch on the 19.11.9-rc1, but not found this issue during
> compilation.
> >
> > Could you send me your code branch then I can try on my side?
> 
> Hi,
> For me it fails when applied on top of the 19.11.x WIP branch.
> You can use that from
> https://github.com/cpaelzer/dpdk-stable-queue/commits/19.11
> 
> But as I said it only fails in some releases/configurations.
> That is why I have linked the failing error logs.
> For example on my Ubuntu 20.04 it builds just fine.
> 

Yes, I compared and found it's related with older gcc version.
I had sent the code patch.

> > Code base:
> > commit 15d8f64d18a891a70d664d18eb918eee0705993e
> > Author: Christian Ehrhardt <christian.ehrhardt@canonical.com>
> > Date:   Wed Jun 2 16:33:26 2021 +0200
> >
> >     version: 19.11.9-rc1
> >
> >     Signed-off-by: Christian Ehrhardt
> > <christian.ehrhardt@canonical.com>
> >
> >
> > #make O=x86_64-default-linux-gcc T=x86_64-native-linux-gcc config #sed
> > -ri 's,(RTE_MACHINE=).*,\1default,' x86_64-default-linux-gcc/.config
> > #sed -ri 's,(RTE_APP_TEST=).*,\1n,' x86_64-default-linux-gcc/.config
> > #sed -ri 's,(RTE_BUILD_SHARED_LIB=).*,\1y,'
> > x86_64-default-linux-gcc/.config #sed -ri 's,(RTE_NEXT_ABI=).*,\1n,'
> > x86_64-default-linux-gcc/.config #sed -ri 's,(LIBRTE_VHOST=).*,\1y,'
> > x86_64-default-linux-gcc/.config #sed -ri 's,(LIBRTE_VHOST=).*,\1y,'
> > x86_64-default-linux-gcc/.config #sed -ri 's,(RTE_KNI_KMOD=).*,\1y,'
> > x86_64-default-linux-gcc/.config #sed -ri
> > 's,(RTE_EAL_IGB_UIO=).*,\1y,' x86_64-default-linux-gcc/.config # #make
> > O=x86_64-default-linux-gcc -j3 EXTRA_CFLAGS=-Werror
> 
> Yeah as I said it seems to only affect some releases/configs - I hope the logs
> help to find what is different between good/bad cases.
> 
Yes, it's helpful, I had updated the code to make sure it works with older gcc version.
Thanks.

> > ......
> >
> >   INSTALL-APP dpdk-test-crypto-perf
> >   INSTALL-MAP dpdk-test-crypto-perf.map
> >   CC test_perf_queue.o
> >   CC test_perf_atq.o
> >   CC test_pipeline_common.o
> >   CC test_pipeline_queue.o
> >   CC test_pipeline_atq.o
> >   LD dpdk-test-eventdev
> >   INSTALL-APP dpdk-test-eventdev
> >   INSTALL-MAP dpdk-test-eventdev.map
> > Build complete [x86_64-default-linuxapp-gcc]
> >
> > Thanks.
> > B.R.
> >
> > Jonny
> >
> >
> > > -----Original Message-----
> > > From: Christian Ehrhardt <christian.ehrhardt@canonical.com>
> > > Sent: Wednesday, June 2, 2021 9:25 PM
> > > To: Jiawei(Jonny) Wang <jiaweiw@nvidia.com>
> > > Cc: dpdk stable <stable@dpdk.org>; Ori Kam <orika@nvidia.com>
> > > Subject: " app/testpmd: fix NVGRE encap configuration" incompatible
> > > with 19.11.x
> > >
> > > Hi,
> > > this change was targeted for the stable releases
> > >
> > > commit 9b0da816bdec98c0d6c5d17ccdd337bdbafc3f75
> > > Author: Jiawei Wang <jiaweiw@nvidia.com>
> > > Date:   Tue Mar 16 06:18:27 2021 +0200
> > >
> > >     app/testpmd: fix NVGRE encap configuration
> > >
> > > But when applied it causes:
> > >
> > > [  263s] /home/abuild/rpmbuild/BUILD/dpdk-
> > > 1622611368.078834f40/app/test-pmd/cmdline_flow.c:
> > > In function 'parse_vc_action_nvgre_encap':
> > > [  263s] /home/abuild/rpmbuild/BUILD/dpdk-
> > > 1622611368.078834f40/app/test-pmd/cmdline_flow.c:4254:3:
> > > error: missing initializer for field 'protocol' of 'struct
> > > rte_flow_item_nvgre' [- Werror=missing-field-initializers]
> > > [  263s]    .item_nvgre.protocol = RTE_BE16(RTE_ETHER_TYPE_TEB),
> > > [  263s]    ^
> > > [  263s] In file included from
> > > /home/abuild/rpmbuild/BUILD/dpdk-1622611368.078834f40/x86_64-
> > > default-linux-gcc/include/rte_eth_ctrl.h:11:0,
> > > [  263s]                  from
> > > /home/abuild/rpmbuild/BUILD/dpdk-1622611368.078834f40/x86_64-
> > > default-linux-gcc/include/rte_ethdev.h:978,
> > > [  263s]                  from
> > > /home/abuild/rpmbuild/BUILD/dpdk-1622611368.078834f40/app/test-
> > > pmd/cmdline_flow.c:18:
> > > [  263s] /home/abuild/rpmbuild/BUILD/dpdk-
> > > 1622611368.078834f40/x86_64-default-linux-
> gcc/include/rte_flow.h:917:13:
> > > note: 'protocol' declared here
> > > [  263s]   rte_be16_t protocol; /**< Protocol type (0x6558). */
> > > [  263s]              ^
> > >
> > > This is failing not everywhere but in:
> > > - SLE_12_SP4/x86_64
> > > - RHEL_7/x86_64
> > > - openSUSE_Leap_42.3/x86_64
> > >
> > > The type and the init code looks the same here and in the recent main
> branch.
> > > Neither do I see recent changes that would cause this.
> > > And the init just looks right to me, so I'm sure I'm overlooking something.
> > >
> > > So I wondered (if you consider this patch important for 19.11.x) if
> > > you could have a look and consider backporting it so that it works
> > > well (or as an alternative let me know that it won't be needed for
> > > 19.11.x)
> > >
> > > References/Logs:
> > > 19.11.8 working: https://paste.ubuntu.com/p/vvm4qCcmJT/
> > > 19.11.9 fail RH7: https://paste.ubuntu.com/p/2wph5nfbCg/
> > > 19.11.9 fail SLE12SP4: https://paste.ubuntu.com/p/nGHhkPJbR3/
> > > 19.11.9 fail openSuse42.3: https://paste.ubuntu.com/p/43mMx3sY2n/
> > > 19.11.9 witzh the patch dropped works:
> > > https://paste.ubuntu.com/p/JGZ44BhkC6/
> > >
> > >
> > > --
> > > Christian Ehrhardt
> > > Staff Engineer, Ubuntu Server
> > > Canonical Ltd
> 
> 
> 
> --
> Christian Ehrhardt
> Staff Engineer, Ubuntu Server
> Canonical Ltd

^ permalink raw reply	[flat|nested] 6+ messages in thread

* Re: [dpdk-stable] " app/testpmd: fix NVGRE encap configuration" incompatible with 19.11.x
  2021-06-04 13:44     ` Jiawei(Jonny) Wang
@ 2021-06-08  4:50       ` Christian Ehrhardt
  2021-06-08  5:59         ` Jiawei(Jonny) Wang
  0 siblings, 1 reply; 6+ messages in thread
From: Christian Ehrhardt @ 2021-06-08  4:50 UTC (permalink / raw)
  To: Jiawei(Jonny) Wang; +Cc: dpdk stable, Ori Kam

On Fri, Jun 4, 2021 at 3:44 PM Jiawei(Jonny) Wang <jiaweiw@nvidia.com> wrote:
>
> Hello Christian,
>
> > -----Original Message-----
> > From: Christian Ehrhardt <christian.ehrhardt@canonical.com>
> > Sent: Friday, June 4, 2021 1:07 PM
> > To: Jiawei(Jonny) Wang <jiaweiw@nvidia.com>
> > Cc: dpdk stable <stable@dpdk.org>; Ori Kam <orika@nvidia.com>
> > Subject: Re: " app/testpmd: fix NVGRE encap configuration" incompatible
> > with 19.11.x
> >
> > On Thu, Jun 3, 2021 at 4:54 PM Jiawei(Jonny) Wang <jiaweiw@nvidia.com>
> > wrote:
> > >
> > > Hello Christian,
> > >
> > > I applied this patch on the 19.11.9-rc1, but not found this issue during
> > compilation.
> > >
> > > Could you send me your code branch then I can try on my side?
> >
> > Hi,
> > For me it fails when applied on top of the 19.11.x WIP branch.
> > You can use that from
> > https://github.com/cpaelzer/dpdk-stable-queue/commits/19.11
> >
> > But as I said it only fails in some releases/configurations.
> > That is why I have linked the failing error logs.
> > For example on my Ubuntu 20.04 it builds just fine.
> >
>
> Yes, I compared and found it's related with older gcc version.
> I had sent the code patch.

I've got the patch it applies and seems to work - thank you!
It isn't critical enough to respin the release candidates though.
If we hit a functional issue in testing that will force us to respin it will
be in 19.11.9-rc3, otherwise it will be the first patch that gets
queued for 19.11.10

> > > Code base:
> > > commit 15d8f64d18a891a70d664d18eb918eee0705993e
> > > Author: Christian Ehrhardt <christian.ehrhardt@canonical.com>
> > > Date:   Wed Jun 2 16:33:26 2021 +0200
> > >
> > >     version: 19.11.9-rc1
> > >
> > >     Signed-off-by: Christian Ehrhardt
> > > <christian.ehrhardt@canonical.com>
> > >
> > >
> > > #make O=x86_64-default-linux-gcc T=x86_64-native-linux-gcc config #sed
> > > -ri 's,(RTE_MACHINE=).*,\1default,' x86_64-default-linux-gcc/.config
> > > #sed -ri 's,(RTE_APP_TEST=).*,\1n,' x86_64-default-linux-gcc/.config
> > > #sed -ri 's,(RTE_BUILD_SHARED_LIB=).*,\1y,'
> > > x86_64-default-linux-gcc/.config #sed -ri 's,(RTE_NEXT_ABI=).*,\1n,'
> > > x86_64-default-linux-gcc/.config #sed -ri 's,(LIBRTE_VHOST=).*,\1y,'
> > > x86_64-default-linux-gcc/.config #sed -ri 's,(LIBRTE_VHOST=).*,\1y,'
> > > x86_64-default-linux-gcc/.config #sed -ri 's,(RTE_KNI_KMOD=).*,\1y,'
> > > x86_64-default-linux-gcc/.config #sed -ri
> > > 's,(RTE_EAL_IGB_UIO=).*,\1y,' x86_64-default-linux-gcc/.config # #make
> > > O=x86_64-default-linux-gcc -j3 EXTRA_CFLAGS=-Werror
> >
> > Yeah as I said it seems to only affect some releases/configs - I hope the logs
> > help to find what is different between good/bad cases.
> >
> Yes, it's helpful, I had updated the code to make sure it works with older gcc version.
> Thanks.
>
> > > ......
> > >
> > >   INSTALL-APP dpdk-test-crypto-perf
> > >   INSTALL-MAP dpdk-test-crypto-perf.map
> > >   CC test_perf_queue.o
> > >   CC test_perf_atq.o
> > >   CC test_pipeline_common.o
> > >   CC test_pipeline_queue.o
> > >   CC test_pipeline_atq.o
> > >   LD dpdk-test-eventdev
> > >   INSTALL-APP dpdk-test-eventdev
> > >   INSTALL-MAP dpdk-test-eventdev.map
> > > Build complete [x86_64-default-linuxapp-gcc]
> > >
> > > Thanks.
> > > B.R.
> > >
> > > Jonny
> > >
> > >
> > > > -----Original Message-----
> > > > From: Christian Ehrhardt <christian.ehrhardt@canonical.com>
> > > > Sent: Wednesday, June 2, 2021 9:25 PM
> > > > To: Jiawei(Jonny) Wang <jiaweiw@nvidia.com>
> > > > Cc: dpdk stable <stable@dpdk.org>; Ori Kam <orika@nvidia.com>
> > > > Subject: " app/testpmd: fix NVGRE encap configuration" incompatible
> > > > with 19.11.x
> > > >
> > > > Hi,
> > > > this change was targeted for the stable releases
> > > >
> > > > commit 9b0da816bdec98c0d6c5d17ccdd337bdbafc3f75
> > > > Author: Jiawei Wang <jiaweiw@nvidia.com>
> > > > Date:   Tue Mar 16 06:18:27 2021 +0200
> > > >
> > > >     app/testpmd: fix NVGRE encap configuration
> > > >
> > > > But when applied it causes:
> > > >
> > > > [  263s] /home/abuild/rpmbuild/BUILD/dpdk-
> > > > 1622611368.078834f40/app/test-pmd/cmdline_flow.c:
> > > > In function 'parse_vc_action_nvgre_encap':
> > > > [  263s] /home/abuild/rpmbuild/BUILD/dpdk-
> > > > 1622611368.078834f40/app/test-pmd/cmdline_flow.c:4254:3:
> > > > error: missing initializer for field 'protocol' of 'struct
> > > > rte_flow_item_nvgre' [- Werror=missing-field-initializers]
> > > > [  263s]    .item_nvgre.protocol = RTE_BE16(RTE_ETHER_TYPE_TEB),
> > > > [  263s]    ^
> > > > [  263s] In file included from
> > > > /home/abuild/rpmbuild/BUILD/dpdk-1622611368.078834f40/x86_64-
> > > > default-linux-gcc/include/rte_eth_ctrl.h:11:0,
> > > > [  263s]                  from
> > > > /home/abuild/rpmbuild/BUILD/dpdk-1622611368.078834f40/x86_64-
> > > > default-linux-gcc/include/rte_ethdev.h:978,
> > > > [  263s]                  from
> > > > /home/abuild/rpmbuild/BUILD/dpdk-1622611368.078834f40/app/test-
> > > > pmd/cmdline_flow.c:18:
> > > > [  263s] /home/abuild/rpmbuild/BUILD/dpdk-
> > > > 1622611368.078834f40/x86_64-default-linux-
> > gcc/include/rte_flow.h:917:13:
> > > > note: 'protocol' declared here
> > > > [  263s]   rte_be16_t protocol; /**< Protocol type (0x6558). */
> > > > [  263s]              ^
> > > >
> > > > This is failing not everywhere but in:
> > > > - SLE_12_SP4/x86_64
> > > > - RHEL_7/x86_64
> > > > - openSUSE_Leap_42.3/x86_64
> > > >
> > > > The type and the init code looks the same here and in the recent main
> > branch.
> > > > Neither do I see recent changes that would cause this.
> > > > And the init just looks right to me, so I'm sure I'm overlooking something.
> > > >
> > > > So I wondered (if you consider this patch important for 19.11.x) if
> > > > you could have a look and consider backporting it so that it works
> > > > well (or as an alternative let me know that it won't be needed for
> > > > 19.11.x)
> > > >
> > > > References/Logs:
> > > > 19.11.8 working: https://paste.ubuntu.com/p/vvm4qCcmJT/
> > > > 19.11.9 fail RH7: https://paste.ubuntu.com/p/2wph5nfbCg/
> > > > 19.11.9 fail SLE12SP4: https://paste.ubuntu.com/p/nGHhkPJbR3/
> > > > 19.11.9 fail openSuse42.3: https://paste.ubuntu.com/p/43mMx3sY2n/
> > > > 19.11.9 witzh the patch dropped works:
> > > > https://paste.ubuntu.com/p/JGZ44BhkC6/
> > > >
> > > >
> > > > --
> > > > Christian Ehrhardt
> > > > Staff Engineer, Ubuntu Server
> > > > Canonical Ltd
> >
> >
> >
> > --
> > Christian Ehrhardt
> > Staff Engineer, Ubuntu Server
> > Canonical Ltd



--
Christian Ehrhardt
Staff Engineer, Ubuntu Server
Canonical Ltd

^ permalink raw reply	[flat|nested] 6+ messages in thread

* Re: [dpdk-stable] " app/testpmd: fix NVGRE encap configuration" incompatible with 19.11.x
  2021-06-08  4:50       ` Christian Ehrhardt
@ 2021-06-08  5:59         ` Jiawei(Jonny) Wang
  0 siblings, 0 replies; 6+ messages in thread
From: Jiawei(Jonny) Wang @ 2021-06-08  5:59 UTC (permalink / raw)
  To: Christian Ehrhardt; +Cc: dpdk stable, Ori Kam



> -----Original Message-----
> From: Christian Ehrhardt <christian.ehrhardt@canonical.com>
> Sent: Tuesday, June 8, 2021 12:51 PM
> To: Jiawei(Jonny) Wang <jiaweiw@nvidia.com>
> Cc: dpdk stable <stable@dpdk.org>; Ori Kam <orika@nvidia.com>
> Subject: Re: " app/testpmd: fix NVGRE encap configuration" incompatible
> with 19.11.x
> 
> On Fri, Jun 4, 2021 at 3:44 PM Jiawei(Jonny) Wang <jiaweiw@nvidia.com>
> wrote:
> >
> > Hello Christian,
> >
> > > -----Original Message-----
> > > From: Christian Ehrhardt <christian.ehrhardt@canonical.com>
> > > Sent: Friday, June 4, 2021 1:07 PM
> > > To: Jiawei(Jonny) Wang <jiaweiw@nvidia.com>
> > > Cc: dpdk stable <stable@dpdk.org>; Ori Kam <orika@nvidia.com>
> > > Subject: Re: " app/testpmd: fix NVGRE encap configuration"
> > > incompatible with 19.11.x
> > >
> > > On Thu, Jun 3, 2021 at 4:54 PM Jiawei(Jonny) Wang
> > > <jiaweiw@nvidia.com>
> > > wrote:
> > > >
> > > > Hello Christian,
> > > >
> > > > I applied this patch on the 19.11.9-rc1, but not found this issue
> > > > during
> > > compilation.
> > > >
> > > > Could you send me your code branch then I can try on my side?
> > >
> > > Hi,
> > > For me it fails when applied on top of the 19.11.x WIP branch.
> > > You can use that from
> > > https://github.com/cpaelzer/dpdk-stable-queue/commits/19.11
> > >
> > > But as I said it only fails in some releases/configurations.
> > > That is why I have linked the failing error logs.
> > > For example on my Ubuntu 20.04 it builds just fine.
> > >
> >
> > Yes, I compared and found it's related with older gcc version.
> > I had sent the code patch.
> 
> I've got the patch it applies and seems to work - thank you!
> It isn't critical enough to respin the release candidates though.
> If we hit a functional issue in testing that will force us to respin it will be in
> 19.11.9-rc3, otherwise it will be the first patch that gets queued for 19.11.10
> 

Thanks Christian!

> > > > Code base:
> > > > commit 15d8f64d18a891a70d664d18eb918eee0705993e
> > > > Author: Christian Ehrhardt <christian.ehrhardt@canonical.com>
> > > > Date:   Wed Jun 2 16:33:26 2021 +0200
> > > >
> > > >     version: 19.11.9-rc1
> > > >
> > > >     Signed-off-by: Christian Ehrhardt
> > > > <christian.ehrhardt@canonical.com>
> > > >
> > > >
> > > > #make O=x86_64-default-linux-gcc T=x86_64-native-linux-gcc config
> > > > #sed -ri 's,(RTE_MACHINE=).*,\1default,'
> > > > x86_64-default-linux-gcc/.config #sed -ri
> > > > 's,(RTE_APP_TEST=).*,\1n,' x86_64-default-linux-gcc/.config #sed -ri
> 's,(RTE_BUILD_SHARED_LIB=).*,\1y,'
> > > > x86_64-default-linux-gcc/.config #sed -ri 's,(RTE_NEXT_ABI=).*,\1n,'
> > > > x86_64-default-linux-gcc/.config #sed -ri 's,(LIBRTE_VHOST=).*,\1y,'
> > > > x86_64-default-linux-gcc/.config #sed -ri 's,(LIBRTE_VHOST=).*,\1y,'
> > > > x86_64-default-linux-gcc/.config #sed -ri 's,(RTE_KNI_KMOD=).*,\1y,'
> > > > x86_64-default-linux-gcc/.config #sed -ri
> > > > 's,(RTE_EAL_IGB_UIO=).*,\1y,' x86_64-default-linux-gcc/.config #
> > > > #make O=x86_64-default-linux-gcc -j3 EXTRA_CFLAGS=-Werror
> > >
> > > Yeah as I said it seems to only affect some releases/configs - I
> > > hope the logs help to find what is different between good/bad cases.
> > >
> > Yes, it's helpful, I had updated the code to make sure it works with older
> gcc version.
> > Thanks.
> >
> > > > ......
> > > >
> > > >   INSTALL-APP dpdk-test-crypto-perf
> > > >   INSTALL-MAP dpdk-test-crypto-perf.map
> > > >   CC test_perf_queue.o
> > > >   CC test_perf_atq.o
> > > >   CC test_pipeline_common.o
> > > >   CC test_pipeline_queue.o
> > > >   CC test_pipeline_atq.o
> > > >   LD dpdk-test-eventdev
> > > >   INSTALL-APP dpdk-test-eventdev
> > > >   INSTALL-MAP dpdk-test-eventdev.map Build complete
> > > > [x86_64-default-linuxapp-gcc]
> > > >
> > > > Thanks.
> > > > B.R.
> > > >
> > > > Jonny
> > > >
> > > >
> > > > > -----Original Message-----
> > > > > From: Christian Ehrhardt <christian.ehrhardt@canonical.com>
> > > > > Sent: Wednesday, June 2, 2021 9:25 PM
> > > > > To: Jiawei(Jonny) Wang <jiaweiw@nvidia.com>
> > > > > Cc: dpdk stable <stable@dpdk.org>; Ori Kam <orika@nvidia.com>
> > > > > Subject: " app/testpmd: fix NVGRE encap configuration"
> > > > > incompatible with 19.11.x
> > > > >
> > > > > Hi,
> > > > > this change was targeted for the stable releases
> > > > >
> > > > > commit 9b0da816bdec98c0d6c5d17ccdd337bdbafc3f75
> > > > > Author: Jiawei Wang <jiaweiw@nvidia.com>
> > > > > Date:   Tue Mar 16 06:18:27 2021 +0200
> > > > >
> > > > >     app/testpmd: fix NVGRE encap configuration
> > > > >
> > > > > But when applied it causes:
> > > > >
> > > > > [  263s] /home/abuild/rpmbuild/BUILD/dpdk-
> > > > > 1622611368.078834f40/app/test-pmd/cmdline_flow.c:
> > > > > In function 'parse_vc_action_nvgre_encap':
> > > > > [  263s] /home/abuild/rpmbuild/BUILD/dpdk-
> > > > > 1622611368.078834f40/app/test-pmd/cmdline_flow.c:4254:3:
> > > > > error: missing initializer for field 'protocol' of 'struct
> > > > > rte_flow_item_nvgre' [- Werror=missing-field-initializers]
> > > > > [  263s]    .item_nvgre.protocol = RTE_BE16(RTE_ETHER_TYPE_TEB),
> > > > > [  263s]    ^
> > > > > [  263s] In file included from
> > > > > /home/abuild/rpmbuild/BUILD/dpdk-1622611368.078834f40/x86_64-
> > > > > default-linux-gcc/include/rte_eth_ctrl.h:11:0,
> > > > > [  263s]                  from
> > > > > /home/abuild/rpmbuild/BUILD/dpdk-1622611368.078834f40/x86_64-
> > > > > default-linux-gcc/include/rte_ethdev.h:978,
> > > > > [  263s]                  from
> > > > > /home/abuild/rpmbuild/BUILD/dpdk-
> 1622611368.078834f40/app/test-
> > > > > pmd/cmdline_flow.c:18:
> > > > > [  263s] /home/abuild/rpmbuild/BUILD/dpdk-
> > > > > 1622611368.078834f40/x86_64-default-linux-
> > > gcc/include/rte_flow.h:917:13:
> > > > > note: 'protocol' declared here
> > > > > [  263s]   rte_be16_t protocol; /**< Protocol type (0x6558). */
> > > > > [  263s]              ^
> > > > >
> > > > > This is failing not everywhere but in:
> > > > > - SLE_12_SP4/x86_64
> > > > > - RHEL_7/x86_64
> > > > > - openSUSE_Leap_42.3/x86_64
> > > > >
> > > > > The type and the init code looks the same here and in the recent
> > > > > main
> > > branch.
> > > > > Neither do I see recent changes that would cause this.
> > > > > And the init just looks right to me, so I'm sure I'm overlooking
> something.
> > > > >
> > > > > So I wondered (if you consider this patch important for 19.11.x)
> > > > > if you could have a look and consider backporting it so that it
> > > > > works well (or as an alternative let me know that it won't be
> > > > > needed for
> > > > > 19.11.x)
> > > > >
> > > > > References/Logs:
> > > > > 19.11.8 working: https://paste.ubuntu.com/p/vvm4qCcmJT/
> > > > > 19.11.9 fail RH7: https://paste.ubuntu.com/p/2wph5nfbCg/
> > > > > 19.11.9 fail SLE12SP4: https://paste.ubuntu.com/p/nGHhkPJbR3/
> > > > > 19.11.9 fail openSuse42.3:
> > > > > https://paste.ubuntu.com/p/43mMx3sY2n/
> > > > > 19.11.9 witzh the patch dropped works:
> > > > > https://paste.ubuntu.com/p/JGZ44BhkC6/
> > > > >
> > > > >
> > > > > --
> > > > > Christian Ehrhardt
> > > > > Staff Engineer, Ubuntu Server
> > > > > Canonical Ltd
> > >
> > >
> > >
> > > --
> > > Christian Ehrhardt
> > > Staff Engineer, Ubuntu Server
> > > Canonical Ltd
> 
> 
> 
> --
> Christian Ehrhardt
> Staff Engineer, Ubuntu Server
> Canonical Ltd

^ permalink raw reply	[flat|nested] 6+ messages in thread

end of thread, other threads:[~2021-06-08  5:59 UTC | newest]

Thread overview: 6+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2021-06-02 13:25 [dpdk-stable] " app/testpmd: fix NVGRE encap configuration" incompatible with 19.11.x Christian Ehrhardt
2021-06-03 14:54 ` Jiawei(Jonny) Wang
2021-06-04  5:07   ` Christian Ehrhardt
2021-06-04 13:44     ` Jiawei(Jonny) Wang
2021-06-08  4:50       ` Christian Ehrhardt
2021-06-08  5:59         ` Jiawei(Jonny) Wang

patches for DPDK stable branches

This inbox may be cloned and mirrored by anyone:

	git clone --mirror https://inbox.dpdk.org/stable/0 stable/git/0.git

	# If you have public-inbox 1.1+ installed, you may
	# initialize and index your mirror using the following commands:
	public-inbox-init -V2 stable stable/ https://inbox.dpdk.org/stable \
		stable@dpdk.org
	public-inbox-index stable

Example config snippet for mirrors.
Newsgroup available over NNTP:
	nntp://inbox.dpdk.org/inbox.dpdk.stable


AGPL code for this site: git clone https://public-inbox.org/public-inbox.git